GIMP Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# parasiteP

## Name

parasiteP --

## Synopsis

    struct      Parasite;

## Description

## Details

### struct Parasite

    struct Parasite
    {
      char *name;           /* The name of the parasite. USE A UNIQUE PREFIX! */
      guint32 flags;	/* save Parasite in XCF file, etc.                */
      guint32 size;         /* amount of data                                 */
      void *data;           /* a pointer to the data.  plugin is              *
    			 * responsible for tracking byte order            */
    };

<<< Previous Page | Home | Up | Next Page >>>
parasiteF | GIMP User Interface Library